Package: mailman3 / 3.2.1-1

Metadata

Package Version Patches format
mailman3 3.2.1-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
0001_README_remove_embedded_images.patch | (download)

README.rst | 12 0 + 12 - 0 !
1 file changed, 12 deletions(-)

 remove embedded remote images from readme.rst

 The documentation files shipped with Debian packages should not embed
 remote images, especially not from sources that are known to track
 users (like shields.io).

0002 remove_importlib_resources_dependency.patch | (download)

setup.py | 1 0 + 1 - 0 !
src/mailman.egg-info/requires.txt | 1 0 + 1 - 0 !
src/mailman/archiving/tests/test_mhonarc.py | 2 1 + 1 - 0 !
src/mailman/bin/tests/test_mailman.py | 2 1 + 1 - 0 !
src/mailman/bin/tests/test_master.py | 2 1 + 1 - 0 !
src/mailman/chains/tests/test_hold.py | 2 1 + 1 - 0 !
src/mailman/commands/docs/import.rst | 2 1 + 1 - 0 !
src/mailman/commands/tests/test_cli_control.py | 2 1 + 1 - 0 !
src/mailman/commands/tests/test_cli_import.py | 2 1 + 1 - 0 !
src/mailman/config/config.py | 2 1 + 1 - 0 !
src/mailman/config/tests/test_configuration.py | 2 1 + 1 - 0 !
src/mailman/core/initialize.py | 2 1 + 1 - 0 !
src/mailman/email/tests/test_message.py | 2 1 + 1 - 0 !
src/mailman/handlers/tests/test_mimedel.py | 2 1 + 1 - 0 !
src/mailman/plugins/docs/intro.rst | 2 1 + 1 - 0 !
src/mailman/plugins/testing/layer.py | 2 1 + 1 - 0 !
src/mailman/rules/dmarc.py | 2 1 + 1 - 0 !
src/mailman/rules/tests/test_dmarc.py | 2 1 + 1 - 0 !
src/mailman/testing/i18n.py | 2 1 + 1 - 0 !
src/mailman/testing/layers.py | 2 1 + 1 - 0 !
src/mailman/utilities/i18n.py | 2 1 + 1 - 0 !
src/mailman/utilities/modules.py | 2 1 + 1 - 0 !
src/mailman/utilities/tests/test_import.py | 2 1 + 1 - 0 !
src/mailman/utilities/tests/test_modules.py | 2 1 + 1 - 0 !
src/mailman/utilities/tests/test_templates.py | 2 1 + 1 - 0 !
25 files changed, 23 insertions(+), 25 deletions(-)

 replace importlib_resources with importlib.resources

`importlib_resources` is not available in Debian. Since Debian Buster
ships only Python3.7 anyway, we can safely migrate to
`importlib.resources`.